TranslatedReverseLexComparator Class Reference

A predicate that sorts according to reverse lexicographic order on the translated values of a term. More...

`#include <TermTranslator.h>`

## Public Member Functions

| TranslatedReverseLexComparator (const TermTranslator &translator)
bool | operator() (const Term &a, const Term &b) const
bool | operator() (const Exponent *a, const Exponent *b) const

## Private Attributes

const TermTranslator & | _translator

## Detailed Description

A predicate that sorts according to reverse lexicographic order on the translated values of a term.

Definition at line 141 of file TermTranslator.h.

## Constructor & Destructor Documentation

## TranslatedReverseLexComparator()

TranslatedReverseLexComparator::TranslatedReverseLexComparator | ( | const TermTranslator & | translator | ) |

inline

Definition at line 143 of file TermTranslator.h.

## Member Function Documentation

## operator()() [1/2]

bool TranslatedReverseLexComparator::operator() | ( | const Exponent * | a,
|  | const Exponent * | b ) const

Definition at line 473 of file TermTranslator.cpp.

## operator()() [2/2]

bool TranslatedReverseLexComparator::operator() | ( | const Term & | a,
|  | const Term & | b ) const

Definition at line 466 of file TermTranslator.cpp.

## Member Data Documentation

## _translator

const TermTranslator& TranslatedReverseLexComparator::_translator

private

Definition at line 151 of file TermTranslator.h.

The documentation for this class was generated from the following files:

- src/TermTranslator.h
- src/TermTranslator.cpp